Bug 1123902 - when looking at an eventful host report, clicking the hostname brings you back to the list of reports
Summary: when looking at an eventful host report, clicking the hostname brings you bac...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI
Version: 6.0.3
Hardware: Unspecified
OS: Unspecified
low
low vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Katello QA List
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-28 15:13 UTC by Erik M Jacobs
Modified: 2017-01-04 18:24 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-04 18:24:11 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 6798 None None None 2016-04-22 15:37:43 UTC

Description Erik M Jacobs 2014-07-28 15:13:39 UTC
Description of problem:
When you go to the Puppet reports page for a system and you search for something like:

host = client-11.mydomain.com and eventful = true

you get a list of eventful reports. However, if you click on the hostname (eg: client-11.mydomain.com) instead of the item in the "last report" column (eg: 21 minutes ago) you are taken to the list of reports for that host:

https://satellite.mydomain.com/hosts/client-11.mydomain.com/reports

While this makes sense in some contexts, in other contexts it does not.

For example:

Hosts -> All Hosts -> client-11.mydomain.com -> Reports

This shows you a list of reports with no host column.

However, the search box at the top of the page says:

host = client-11.mydomain.com

If I now add the eventful and hit submit, I get a search results page that has the hostname column. This is unexpected.

Comment 1 Dominic Cleal 2014-07-28 15:18:54 UTC
Created redmine issue http://projects.theforeman.org/issues/6798 from this bug

Comment 3 Bryan Kearney 2016-07-08 20:42:47 UTC
Per 6.3 planning, moving out non acked bugs to the backlog

Comment 5 Bryan Kearney 2016-07-20 02:12:36 UTC
Upstream bug component is WebUI

Comment 6 Bryan Kearney 2017-01-04 18:24:11 UTC
This is an older bug, which is being tracked upstream. We will not be tracking this downstream. When the upstream issue is resolved, the next rebase will pull in the fix.


Note You need to log in before you can comment on or make changes to this bug.